package com.ekexiu.portal.po;

import java.math.BigDecimal;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

@Table
@PrimaryKey("operationId")
public class Operation {
	private String operationId;
	private int operationStatus;
	private String demandId;
	private String demandType;
	/**
	 * 咨询主题
	 */
	private String consultTitle;
	/**
	 * 咨询内容
	 */
	private String consultContent;
	/**
	 * 具体需求
	 */
	private String detailDemand;
	/**
	 * 交付时间
	 */
	private String deliverTime;
	private String resourceId;
	/**
	 * 成交金额
	 */
	private BigDecimal dealPrice;
	private String dealTime;
	private String payMethod;
	
	@Column(DE.id_32)
	public String getOperationId() {
		return operationId;
	}
	public void setOperationId(String operationId) {
		this.operationId = operationId;
	}
	
	@Column(DE.int_de)
	public int getOperationStatus() {
		return operationStatus;
	}
	public void setOperationStatus(int operationStatus) {
		this.operationStatus = operationStatus;
	}
	
	@Column(DE.id_32)
	public String getDemandId() {
		return demandId;
	}
	public void setDemandId(String demandId) {
		this.demandId = demandId;
	}
	
	@Column(DE.string_de)
	public String getDemandType() {
		return demandType;
	}
	public void setDemandType(String demandType) {
		this.demandType = demandType;
	}
	
	@Column(DE.string_de)
	public String getConsultTitle() {
		return consultTitle;
	}
	public void setConsultTitle(String consultTitle) {
		this.consultTitle = consultTitle;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",insertable=false,nullable=false,renewable=false,queryable=true)
	public String getConsultContent() {
		return consultContent;
	}
	public void setConsultContent(String consultContent) {
		this.consultContent = consultContent;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",insertable=false,nullable=false,renewable=false,queryable=true)
	public String getDetailDemand() {
		return detailDemand;
	}
	public void setDetailDemand(String detailDemand) {
		this.detailDemand = detailDemand;
	}
	
	@Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(8)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDD')", fixSqlValueWithUpdate = "TO_CHAR(NOW(),'YYYYMMDD')", insertable = true, nullable = false, queryable = true, renewable = true)
	public String getDeliverTime() {
		return deliverTime;
	}
	public void setDeliverTime(String deliverTime) {
		this.deliverTime = deliverTime;
	}
	
	@Column(DE.id_32)
	public String getResourceId() {
		return resourceId;
	}
	public void setResourceId(String resourceId) {
		this.resourceId = resourceId;
	}
	
	@Column(DE.bigDecmimal_de)
	public BigDecimal getDealPrice() {
		return dealPrice;
	}
	public void setDealPrice(BigDecimal dealPrice) {
		this.dealPrice = dealPrice;
	}
	
	@Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
	public String getDealTime() {
		return dealTime;
	}
	public void setDealTime(String dealTime) {
		this.dealTime = dealTime;
	}
	
	@Column(DE.string_de)
	public String getPayMethod() {
		return payMethod;
	}
	public void setPayMethod(String payMethod) {
		this.payMethod = payMethod;
	}
	
}
